Company logoTrust Center Documentation
API v1 ReferenceUpdatesSubscribers

List update subscribers

Retrieve the people subscribed to this tenant's updates, with their subscription state and the classifications they opted into.

GET
/api/v1/updates/subscribers

Retrieve the people subscribed to this tenant's updates, with their subscription state and the classifications they opted into.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search?string

Filter subscribers by email

page?integer
Range1 <= value
limit?integer
Range1 <= value

Response Body

application/json

curl -X GET "https://example.com/api/v1/updates/subscribers"
{  "subscribers": [    {      "id": "string",      "email": "user@example.com",      "locale": "string",      "state": "string",      "classifications": [        "string"      ],      "subscribed_at": "2019-08-24T14:15:22Z",      "unsubscribed_at": "2019-08-24T14:15:22Z",      "last_notified_at": "2019-08-24T14:15:22Z",      "contact": {        "id": "string",        "email": "user@example.com",        "first_name": "string",        "last_name": "string"      },      "account": {        "id": "string",        "title": "string"      }    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "page_count": 0  }}

How is this guide?